PatchedJLineWindowsTerminal (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.build.logging
[Java] Class PatchedJLineWindowsTerminal

    java.lang.Object
      jline.Terminal
          jline.WindowsTerminal
              grails.build.logging.PatchedJLineWindowsTerminal

    public final class PatchedJLineWindowsTerminal
    extends jline.WindowsTerminal

Field Summary

Fields inherited from class jline.WindowsTerminal
SPECIAL_KEY_INDICATOR, NUMPAD_KEY_INDICATOR, LEFT_ARROW_KEY, RIGHT_ARROW_KEY, UP_ARROW_KEY, DOWN_ARROW_KEY, DELETE_KEY, HOME_KEY, END_KEY, PAGE_UP_KEY, PAGE_DOWN_KEY, INSERT_KEY, ESCAPE_KEY, CR, BACKSPACE, RESET_LINE, KEYBOARD_BELL, CTRL_A, CTRL_B, CTRL_C, CTRL_D, CTRL_E, CTRL_F, CTRL_G, CTRL_K, CTRL_L, CTRL_N, CTRL_P, CTRL_OB, DELETE, CTRL_QM, UNKNOWN, MOVE_TO_BEG, MOVE_TO_END, PREV_CHAR, NEWLINE, KILL_LINE, CLEAR_SCREEN, NEXT_HISTORY, PREV_HISTORY, REDISPLAY, KILL_LINE_PREV, DELETE_PREV_WORD, NEXT_CHAR, REPEAT_PREV_CHAR, SEARCH_PREV, REPEAT_NEXT_CHAR, SEARCH_NEXT, PREV_SPACE_WORD, TO_END_WORD, REPEAT_SEARCH_PREV, PASTE_PREV, REPLACE_MODE, SUBSTITUTE_LINE, TO_PREV_CHAR, NEXT_SPACE_WORD, DELETE_PREV_CHAR, ADD, PREV_WORD, CHANGE_META, DELETE_META, END_WORD, INSERT, REPEAT_SEARCH_NEXT, PASTE_NEXT, REPLACE_CHAR, SUBSTITUTE_CHAR, TO_NEXT_CHAR, UNDO, NEXT_WORD, DELETE_NEXT_CHAR, CHANGE_CASE, COMPLETE, EXIT, PASTE, START_OF_HISTORY, END_OF_HISTORY, CLEAR_LINE, ABORT

Fields inherited from class jline.Terminal
CR, BACKSPACE, RESET_LINE, KEYBOARD_BELL, CTRL_A, CTRL_B, CTRL_C, CTRL_D, CTRL_E, CTRL_F, CTRL_G, CTRL_K, CTRL_L, CTRL_N, CTRL_P, CTRL_OB, DELETE, CTRL_QM, UNKNOWN, MOVE_TO_BEG, MOVE_TO_END, PREV_CHAR, NEWLINE, KILL_LINE, CLEAR_SCREEN, NEXT_HISTORY, PREV_HISTORY, REDISPLAY, KILL_LINE_PREV, DELETE_PREV_WORD, NEXT_CHAR, REPEAT_PREV_CHAR, SEARCH_PREV, REPEAT_NEXT_CHAR, SEARCH_NEXT, PREV_SPACE_WORD, TO_END_WORD, REPEAT_SEARCH_PREV, PASTE_PREV, REPLACE_MODE, SUBSTITUTE_LINE, TO_PREV_CHAR, NEXT_SPACE_WORD, DELETE_PREV_CHAR, ADD, PREV_WORD, CHANGE_META, DELETE_META, END_WORD, INSERT, REPEAT_SEARCH_NEXT, PASTE_NEXT, REPLACE_CHAR, SUBSTITUTE_CHAR, TO_NEXT_CHAR, UNDO, NEXT_WORD, DELETE_NEXT_CHAR, CHANGE_CASE, COMPLETE, EXIT, PASTE, START_OF_HISTORY, END_OF_HISTORY, CLEAR_LINE, ABORT

Constructor Summary
`PatchedJLineWindowsTerminal(jline.ConsoleReader reader)`

Method Summary
`void` | `initializeTerminal()`
`boolean` | `isANSISupported()`
`static jline.Terminal` | `setupTerminal(jline.ConsoleReader reader)`

Methods inherited from class jline.WindowsTerminal
jline.WindowsTerminal#isSupported(), jline.WindowsTerminal#readVirtualKey(java.io.InputStream), jline.WindowsTerminal#readCharacter(java.io.InputStream), jline.WindowsTerminal#getDefaultBindings(), jline.WindowsTerminal#getTerminalWidth(), jline.WindowsTerminal#getTerminalHeight(), jline.WindowsTerminal#getEcho(), jline.WindowsTerminal#isANSISupported(), jline.WindowsTerminal#initializeTerminal(), jline.WindowsTerminal#isEchoEnabled(), jline.WindowsTerminal#enableEcho(), jline.WindowsTerminal#disableEcho(), jline.WindowsTerminal#setDirectConsole(java.lang.Boolean), jline.WindowsTerminal#getDirectConsole(), jline.WindowsTerminal#getTerminal(), jline.WindowsTerminal#beforeReadLine(jline.ConsoleReader, java.lang.String, java.lang.Character), jline.WindowsTerminal#afterReadLine(jline.ConsoleReader, java.lang.String, java.lang.Character), jline.WindowsTerminal#resetTerminal(), jline.WindowsTerminal#setupTerminal(), jline.WindowsTerminal#wait(), jline.WindowsTerminal#wait(long, int), jline.WindowsTerminal#wait(long), jline.WindowsTerminal#equals(java.lang.Object), jline.WindowsTerminal#toString(), jline.WindowsTerminal#hashCode(), jline.WindowsTerminal#getClass(), jline.WindowsTerminal#notify(), jline.WindowsTerminal#notifyAll()

Methods inherited from class jline.Terminal
jline.Terminal#isSupported(), jline.Terminal#getTerminal(), jline.Terminal#readVirtualKey(java.io.InputStream), jline.Terminal#readCharacter(java.io.InputStream), jline.Terminal#getDefaultBindings(), jline.Terminal#getTerminalWidth(), jline.Terminal#getTerminalHeight(), jline.Terminal#getEcho(), jline.Terminal#beforeReadLine(jline.ConsoleReader, java.lang.String, java.lang.Character), jline.Terminal#afterReadLine(jline.ConsoleReader, java.lang.String, java.lang.Character), jline.Terminal#isANSISupported(), jline.Terminal#resetTerminal(), jline.Terminal#setupTerminal(), jline.Terminal#initializeTerminal(), jline.Terminal#isEchoEnabled(), jline.Terminal#enableEcho(), jline.Terminal#disableEcho(), jline.Terminal#wait(), jline.Terminal#wait(long, int), jline.Terminal#wait(long), jline.Terminal#equals(java.lang.Object), jline.Terminal#toString(), jline.Terminal#hashCode(), jline.Terminal#getClass(), jline.Terminal#notify(), jline.Terminal#notifyAll()

Constructor Detail

### PatchedJLineWindowsTerminal

    public PatchedJLineWindowsTerminal(jline.ConsoleReader reader)

Method Detail

### initializeTerminal

    @Override
    public void initializeTerminal()

### isANSISupported

    @Override
    public boolean isANSISupported()

### setupTerminal

    public static jline.Terminal setupTerminal(jline.ConsoleReader reader)

Groovy Documentation